require 'spec_helper'
require 'libxml'
require 'yaml'
require 'base64'

shared_context 'configured' do
  CONFIG_FILE = File.expand_path('../../v1config.yml', __FILE__)

  before(:all) do
    VersionOne.config.load config['config']
  end

  def config
    unless @config
      raise "#{CONFIG_FILE} does not exist. Please see v1config.template.yml" unless File.exist?(CONFIG_FILE)
      @config = YAML.load_file(CONFIG_FILE)
      raise "Config load problem!!!" unless @config.is_a?(Hash)
      @config['config']['password'] = Base64.decode64(config['config']['password'])
    end
    @config
  end

  def load_fixture(name)
    File.read(File.expand_path('../../fixtures/' + name, __FILE__))
  end

  def load_xml(name)
    XML::Document.string(load_fixture(name + '.xml')).root
  end
end
