require 'spec_helper'
require 'lib/common'

describe VersionOne::Meta do
  include_context 'configured'

  describe 'get' do

    before :all do
      @meta = described_class.get('Story')
    end

    it 'should get meta data' do
      expect(@meta).not_to be_nil
    end

    it 'should have parsed attributes' do
      expect(@meta.attributes).not_to be_empty
      @meta.attributes.each do |a|
        expect(a).to be_a VersionOne::AttributeDefinition
        expect(a.name).to be_a String
        expect(a.type).to be_a Symbol
      end

      attrib = @meta['Estimate']
      expect(attrib).not_to be_nil
      expect(attrib.type).to eq :numeric
      expect(attrib.readonly?).to eq false
      expect(attrib.multivalue?).to eq false
    end

    it 'should have a name' do
      expect(@meta.name).to eq 'Story'
    end

  end
end
